## org.gnu.gtk
Class CellRendererToggle

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellRenderer
              org.gnu.gtk.CellRendererToggle

public class CellRendererToggle
extends CellRenderer

The CellRendererToggle is a `CellRenderer` for boolean data.

Nested Class Summary
`static class` `CellRendererToggle.Attribute` Attributes for mapping to data in the TreeModel

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CellRendererToggle()` Constructs a new Cell Renderer.

Method Summary
`void` `addListener(CellRendererToggleListener l)` Register an object to handle CellRendererToggle events.
`void` `fireCellRendererToggleEvent(CellRendererToggleEvent evt)`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_cell_renderer_toggle_get_active(Handle toggle)`
`protected static boolean` `gtk_cell_renderer_toggle_get_radio(Handle toggle)`
`protected static int` `gtk_cell_renderer_toggle_get_type()`
`protected static Handle` `gtk_cell_renderer_toggle_new()`
`protected static void` `gtk_cell_renderer_toggle_set_active(Handle toggle, boolean setting)`
`protected static void` `gtk_cell_renderer_toggle_set_radio(Handle toggle, boolean radio)`
`void` `removeListener(CellRendererToggleListener l)` Removes a listener.
`protected static void` `setActivatable(Handle toggle, boolean setting)`
`void` `setRadio(boolean radio)` If radio is TRUE, the cell renderer renders a radio toggle (ie a toggle in a group of mutually-exclusive toggles).
`void` `setToggled(boolean toggled)` Sets whether all cells are toggled.
`void` `setUserEditable(boolean setting)` Sets whether the user can change the toggled status of the cell.

Methods inherited from class org.gnu.gtk.CellRenderer
`gtk_cell_renderer_activate, gtk_cell_renderer_get_fixed_size, gtk_cell_renderer_get_size, gtk_cell_renderer_get_type, gtk_cell_renderer_render, gtk_cell_renderer_set_fixed_size, gtk_cell_renderer_start_editing, gtk_cell_renderer_stop_editing`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRendererToggle

    public CellRendererToggle()

  Constructs a new Cell Renderer.

Method Detail

### setRadio

    public void setRadio(boolean radio)

  If radio is TRUE, the cell renderer renders a radio toggle (ie a toggle in a group of mutually-exclusive toggles). If FALSE, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for `TreeView`, you set up a per-row setting using `TreeViewColumn` to associate model columns with cell renderer properties).

  Parameters:
    `radio` - TRUE to make the toggle look like a radio button

### setToggled

    public void setToggled(boolean toggled)

  Sets whether all cells are toggled. You will usually want to do this based on data in the model, using `TreeViewColumn.addAttributeMapping(CellRenderer, CellRendererAttribute, DataColumn)` with the `CellRendererToggle.Attribute.ACTIVE` attribute.

  Parameters:
    `toggled` - If true, all cells will be toggled, or cheked.

### setUserEditable

    public void setUserEditable(boolean setting)

  Sets whether the user can change the toggled status of the cell. This method will change the setting for all cells. It can be set on a cell by cell basis by including the data in the model and attaching the `CellRendererToggle.Attribute.ACTIVATABLE` property, using the `TreeViewColumn.addAttributeMapping(CellRenderer, CellRendererAttribute, DataColumn)` property

  Parameters:
    `setting` - If true, the value of all cells may be changed.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### fireCellRendererToggleEvent

    public void fireCellRendererToggleEvent(CellRendererToggleEvent evt)

### addListener

    public void addListener(CellRendererToggleListener l)

  Register an object to handle CellRendererToggle events.

  See Also:
    `CellRendererTextListener`

### removeListener

    public void removeListener(CellRendererToggleListener l)

  Removes a listener.

  See Also:
    `addListener(CellRendererToggleListener)`

### setActivatable

    protected static final void setActivatable(Handle toggle,
                                               boolean setting)

### gtk_cell_renderer_toggle_get_type

    protected static final int gtk_cell_renderer_toggle_get_type()

### gtk_cell_renderer_toggle_new

    protected static final Handle gtk_cell_renderer_toggle_new()

### gtk_cell_renderer_toggle_get_radio

    protected static final boolean gtk_cell_renderer_toggle_get_radio(Handle toggle)

### gtk_cell_renderer_toggle_set_radio

    protected static final void gtk_cell_renderer_toggle_set_radio(Handle toggle,
                                                                   boolean radio)

### gtk_cell_renderer_toggle_get_active

    protected static final boolean gtk_cell_renderer_toggle_get_active(Handle toggle)

### gtk_cell_renderer_toggle_set_active

    protected static final void gtk_cell_renderer_toggle_set_active(Handle toggle,
                                                                    boolean setting)